Bug 190323

Summary: [Mojave Release Wk2] Layout Test http/tests/cache/disk-cache/disk-cache-validation-attachment.html is flaky
Product: WebKit Reporter: Dawei Fenton (:realdawei) <realdawei>
Component: Tools / TestsAssignee: Chris Dumez <cdumez>
Status: RESOLVED FIXED    
Severity: Normal CC: achristensen, ap, beidson, cdumez, commit-queue, ggaren, koivisto, lforschler, rniwa, ryanhaddad, tsavell, webkit-bug-importer, youennf
Priority: P2 Keywords: InRadar
Version: Other   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch none

Description Dawei Fenton (:realdawei) 2018-10-05 14:43:46 PDT
The following layout test is flaky on [Mojave Release WK2]

http/tests/cache/disk-cache/disk-cache-validation-attachment.html

Probable cause:

Unknown, test has failed 30% of the time since debuting on the dashboard on Oct 4.

Flakiness Dashboard:

https://webkit-test-results.webkit.org/dashboards/flakiness_dashboard.html#showAllRuns=true&tests=http%2Ftests%2Fcache%2Fdisk-cache%2Fdisk-cache-validation-attachment.html

--- /Volumes/Data/slave/mojave-release-tests-wk2/build/layout-test-results/http/tests/cache/disk-cache/disk-cache-validation-attachment-expected.txt
+++ /Volumes/Data/slave/mojave-release-tests-wk2/build/layout-test-results/http/tests/cache/disk-cache/disk-cache-validation-attachment-actual.txt
@@ -26,38 +26,38 @@
 
 --------Testing loads through memory cache (XHR behavior)--------
 response headers: undefined
-response source: Network
+response source: Memory cache
 
 response headers: {"Cache-control":"max-age=0"}
-response source: Network
+response source: Memory cache
 
 response headers: {"Cache-control":"max-age=100"}
 response source: Memory cache
 
 response headers: {"Content-Disposition":"attachment; filename=\"f.txt\""}
-response source: Network
+response source: Memory cache
 
 response headers: {"Cache-control":"max-age=0","Content-Disposition":"attachment; filename=\"f.txt\""}
-response source: Network
+response source: Memory cache
 
 response headers: {"Cache-control":"max-age=100","Content-Disposition":"attachment; filename=\"f.txt\""}
 response source: Memory cache
 
 --------Testing loads through memory cache (subresource behavior)--------
 response headers: undefined
-response source: Network
+response source: Memory cache
 
 response headers: {"Cache-control":"max-age=0"}
-response source: Network
+response source: Memory cache
 
 response headers: {"Cache-control":"max-age=100"}
 response source: Memory cache
 
 response headers: {"Content-Disposition":"attachment; filename=\"f.txt\""}
-response source: Network
+response source: Memory cache
 
 response headers: {"Cache-control":"max-age=0","Content-Disposition":"attachment; filename=\"f.txt\""}
-response source: Network
+response source: Memory cache
 
 response headers: {"Cache-control":"max-age=100","Content-Disposition":"attachment; filename=\"f.txt\""}
 response source: Memory cache
Comment 1 Radar WebKit Bug Importer 2018-10-05 14:55:14 PDT
<rdar://problem/45056253>
Comment 2 Dawei Fenton (:realdawei) 2018-10-12 11:05:46 PDT
marked as flaky in https://trac.webkit.org/changeset/237072/webkit
Comment 3 Truitt Savell 2018-12-03 15:09:40 PST
looking at the history the test seems to fail on Release and timeout on Debug runs. 

This command reproduced the Release failures ( Took a while running for failures to start ):
run-webkit-tests --root testbuild-238794 http/tests/cache/disk-cache/disk-cache-validation-attachment.html --iterations 5000 -f --force
Comment 4 Chris Dumez 2018-12-12 15:18:06 PST
Created attachment 357176 [details]
Patch
Comment 5 WebKit Commit Bot 2018-12-12 17:19:29 PST
Comment on attachment 357176 [details]
Patch

Clearing flags on attachment: 357176

Committed r239137: <https://trac.webkit.org/changeset/239137>
Comment 6 WebKit Commit Bot 2018-12-12 17:19:31 PST
All reviewed patches have been landed.  Closing bug.